<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: polytest.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>polytest.c File Reference</h1><code>#include &lt;stdio.h&gt;</code><br/>
<code>#include &lt;<a class="el" href="polylib_8h_source.html">polylib/polylib.h</a>&gt;</code><br/>

<p><a href="polytest_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polytest_8c.html#a59799636dce6e7dfa2ce20c48147fa6b">WS</a>&nbsp;&nbsp;&nbsp;0</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polytest_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a> ()</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="polytest_8c.html#a27d9a0cff1341bbc004fabd1ad8a1543">s</a> [128]</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a59799636dce6e7dfa2ce20c48147fa6b"></a><!-- doxytag: member="polytest.c::WS" ref="a59799636dce6e7dfa2ce20c48147fa6b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WS&nbsp;&nbsp;&nbsp;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polytest_8c_source.html#l00022">22</a> of file <a class="el" href="polytest_8c_source.html">polytest.c</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a><!-- doxytag: member="polytest.c::main" ref="ae66f6b31b5ad750f1fe042a706a4e3d4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polytest_8c_source.html#l00026">26</a> of file <a class="el" href="polytest_8c_source.html">polytest.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l03574">DomainConvex()</a>, <a class="el" href="polyhedron_8c_source.html#l03260">DomainSimplify()</a>, <a class="el" href="polyhedron_8c_source.html#l03493">DomainUnion()</a>, <a class="el" href="alpha_8c_source.html#l00384">GaussSimplify()</a>, <a class="el" href="matrix_8c_source.html#l00505">left_hermite()</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00138">Matrix_Print()</a>, <a class="el" href="matrix_8c_source.html#l00845">Matrix_Product()</a>, <a class="el" href="matrix_8c_source.html#l00203">Matrix_Read()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, <a class="el" href="polyhedron_8c_source.html#l02056">Polyhedron2Constraints()</a>, <a class="el" href="polyhedron_8c_source.html#l02639">Polyhedron2Rays()</a>, <a class="el" href="polyhedron_8c_source.html#l04089">Polyhedron_Image()</a>, <a class="el" href="alpha_8c_source.html#l00104">Polyhedron_Not_Empty()</a>, <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>, <a class="el" href="alpha_8c_source.html#l00144">PolyhedronLTQ()</a>, <a class="el" href="matrix_8c_source.html#l00435">right_hermite()</a>, <a class="el" href="polytest_8c_source.html#l00024">s</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00020">WS</a>.</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a27d9a0cff1341bbc004fabd1ad8a1543"></a><!-- doxytag: member="polytest.c::s" ref="a27d9a0cff1341bbc004fabd1ad8a1543" args="[128]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char <a class="el" href="Zpolytest_8c.html#a27d9a0cff1341bbc004fabd1ad8a1543">s</a>[128]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="polytest_8c_source.html#l00024">24</a> of file <a class="el" href="polytest_8c_source.html">polytest.c</a>.</p>

<p>Referenced by <a class="el" href="NormalForms_8c_source.html#l00093">echange_c()</a>, <a class="el" href="NormalForms_8c_source.html#l00067">echange_l()</a>, <a class="el" href="ehrhart__union_8c_source.html#l00144">main()</a>, <a class="el" href="matrix_8c_source.html#l00203">Matrix_Read()</a>, <a class="el" href="matrix_8c_source.html#l00166">Matrix_Read_Input()</a>, <a class="el" href="ehrhart_8c_source.html#l00899">Polyhedron_Preprocess2()</a>, <a class="el" href="param_8c_source.html#l00031">Read_ParamNames()</a>, and <a class="el" href="ehrhart__union_8c_source.html#l00026">Union_Read()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
